<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class DataAlumni extends Model
{
    use HasFactory;

    protected $table = 'data_alumni';
    protected $primaryKey = 'id_alumni';
    public $timestamps = false;
    
    
    protected $fillable = [
        'nama',
        'nim',
        'angkatan',
        'masa_tunggu',
        'pekerjaan',
        'instansi',
        'link_linkedin',
        'Jenis_profesi',
        'lingkup_pekerjaan',
        'kualifikasi_bidang_kerja',
        'jabatan',
        'perlu_review'
    ];

    // Relasi ke tabel Jabatan
    public function jabatan()
    {
        return $this->belongsTo(Jabatan::class, 'jabatan', 'id_kategori');
    }
    

    // Relasi ke tabel KualifikasiBidang
    public function kualifikasiBidang()
    {
        return $this->belongsTo(KualifikasiBidang::class, 'kualifikasi_bidang_kerja', 'id_kualifikasi');
    }

    // Relasi ke tabel Angkatan
    public function tahunAngkatan()
    {
        return $this->belongsTo(TahunAngkatan::class, 'angkatan', 'id_angkatan');
    }

        public function hasilKlasifikasi()
    {
        return $this->hasOne(HasilKlasifikasi::class, 'id_alumni', 'id_alumni');
    }


}